@muban/eslint-config

    1.0.0 • Public • Published

    @muban/eslint-config npm version

    The official Muban eslint configurations.

    This configuration uses the Media.Monks eslint configuration with some small tweaks, together with the addition of lit and lit-a11y plugins to support the Muban templates.

    Installation

    The configuration has a number of peer dependencies that must be installed.

    npm i --dev @muban/eslint-config

    Note for yarn users: yarn does not install peer dependencies by default, this can be supplemented with install-peerdeps.

    npx install-peerdeps --dev --only-peers @mediamonks/eslint-config-base
    npx install-peerdeps --dev @muban/eslint-config

    Usage

    Now you can add @muban/eslint-config to your .eslintrc. Adding parserOptions.project is only required if your project is using TypeScript.

    {
      "extends": "@muban/eslint-config",
      "parserOptions": {
        "project": "./tsconfig.json" // can also be an array, if multiple `tsconfig.json` are present
      }
    }

    Install

    npm i @muban/eslint-config

    DownloadsWeekly Downloads

    63

    Version

    1.0.0

    License

    MIT

    Unpacked Size

    3.54 kB

    Total Files

    3

    Last publish

    Collaborators

    • larsvanbraam
    • devmonk
    • thanarie